<?php

// Texte vide ?
function isEmpty($text) {
	if (!strlen(trim($text))) {
		return true;
	}else{
		return false;
	}
}

// Est ce un nombre ?
function isNumber($nbre) {
	if (is_numeric($nbre)) {
		if (round($nbre) == $nbre) {
			return 2; // Il s'agit d'un nombre entier
		} else {
			return 1; // Il s'agit d'un nombre valide
		}
	} else {
		return 0; // Il ne s'agit pas d'un nombre valide
	}
}

// Est ce un email valide
function isEmail($value) {
	if (preg_match('|^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]{2,})+$|i', $value)) {
		return false;
	}else{
		return true;
	}
}

/* Traiter une image pour en faire une vignette et une grande taille, avec ou sans bord et ombre portée */
function createImgWithBorderAndDropShadow($img_temp_path, $imgPath, $imgW, $imgH, $imgBorder=0, $imgDs=0, $crop=0){
	
	// Si la destination existe bien et que les droits en écriture sont correct
	$lastSlashPos = strrpos($imgPath, "/");
	$imgDir = substr($imgPath, 0, $lastSlashPos);
	if (is_dir($imgDir) && is_writable($imgDir)) {
	
		// Image originale
		$img_originale = imagecreatefromjpeg($img_temp_path);
		
		// Taille de l'image source
		$img_originaleW  = imagesx($img_originale);
		$img_originaleH = imagesy($img_originale);
		
		// Calcul des tailles pour recadrer proportionellement
		$imgW = $imgW - ($imgBorder*2) - $imgDs[1];
		$imgH = $imgH - ($imgBorder*2) - $imgDs[1];
		
		if ($imgW && $imgH) { // La largeur et la hauteur sont limitées
			$ratio = ($imgW / $img_originaleW) * 100;
			$newWidth = $imgW;
			$newHeight = round((($img_originaleH / 100) * $ratio));
		
			if ( $img_originaleW < $imgW && $img_originaleH < $newHeight)
			{
				$newWidth	= $img_originaleW;
				$newHeight	= $img_originaleH;
				
			}else
			{
				if ($img_originaleW > $img_originaleH && $crop) { // Horizontale et recadrage
					$ratio = ($imgH / $img_originaleH) * 100;
					$newWidth = round((($img_originaleW / 100) * $ratio));
					$newHeight = $imgH;
				}
				
				if ($img_originaleW < $img_originaleH && !$crop) { // Verticale et pas de recadrage
					$ratio = ($imgH / $img_originaleH) * 100;
					$newWidth = round((($img_originaleW / 100) * $ratio));
					$newHeight = $imgH;
				}
			}
			
		}else if ($imgW && !$imgH) { // La largeur est limitée
			$ratio = ($imgW / $img_originaleW) * 100;
			$newWidth = $imgW;
			$newHeight = round((($img_originaleH / 100) * $ratio));
			
		}else{ // La hauteur est limitée
			$ratio = ($imgH / $img_originaleH) * 100;
			$newWidth = round((($img_originaleW / 100) * $ratio));
			$newHeight = $imgH;
		}
		
		// Taille ajustée
		$img_resized = imagecreatetruecolor($newWidth, $newHeight);
		imagecopyresampled($img_resized, $img_originale, 0, 0, 0, 0, $newWidth, $newHeight, $img_originaleW, $img_originaleH);
		
		// Bord blanc
		if (!$crop) {
			$img_border = imagecreatetruecolor($newWidth+($imgBorder*2), $newHeight+($imgBorder*2));
		}else{
			$img_border = imagecreatetruecolor($imgW+($imgBorder*2), $imgH+($imgBorder*2));
		}
		imageantialias($img_border, true);
		$white = imagecolorallocate($img_border, 255, 255, 255);
		imagefill($img_border, 0, 0, $white);
			// Ajout de l'image
			if (!$crop) {
				imagecopyresampled($img_border, $img_resized, $imgBorder, $imgBorder, 0, 0, $newWidth, $newHeight, $newWidth, $newHeight);
			}else{
				imagecopyresampled($img_border, $img_resized, $imgBorder, $imgBorder, 0, 0, $imgW, $imgH, $imgW, $imgH);
			}
		
		// Ombre portée
		if (is_array($imgDs)) {
			$offset = $imgDs[0]; // Décalage
			$steps = $imgDs[1]; // Taille
			$spread = $imgDs[2]; // Pas
			$opacity = $imgDs[3]; // Opacité
			
			if (!$crop) {
				
				$shadowW = $newWidth+($imgBorder*2)+$steps-$offset; // Largeur
				$shadowH = $newHeight+($imgBorder*2)+$steps-$offset; // Hauteur
				
				$image_shadow = imagecreatetruecolor($newWidth+($imgBorder*2)+$steps, $newHeight+($imgBorder*2)+$steps); // Création de l'image
			}else{
				
				$shadowW = $imgW+($imgBorder*2)+$steps-$offset; // Largeur
				$shadowH = $imgH+($imgBorder*2)+$steps-$offset; // Hauteur
				
				$image_shadow = imagecreatetruecolor($imgW+($imgBorder*2)+$steps, $imgH+($imgBorder*2)+$steps); // Création de l'image
			}
			$white = imagecolorallocate($image_shadow, 255, 255, 255); // Couleur de fond
			imagefill($image_shadow, 0, 0, $white); // Appliquer la couleur de fond
			
			// Étapes de couleurs
			$background = array("r" => 255, "g" => 255, "b" => 255);
			$step_offset = array(
				"r" => ($background["r"] / $steps * $opacity),
				"g" => ($background["g"] / $steps * $opacity),
				"b" => ($background["b"] / $steps * $opacity)
			);
			
			// Couleur de départ
			$current_color = $background;
			// Création des couleurs de chaque étape
			for ($i = 0; $i <= $steps; $i++) {
				$color[$i] = imagecolorallocate($image_shadow, round($current_color["r"]), round($current_color["g"]), round($current_color["b"]));
		
				$current_color["r"] -= $step_offset["r"];
				$current_color["g"] -= $step_offset["g"];
				$current_color["b"] -= $step_offset["b"];
			}
			
			// Création du premier rectangle de l'ombre
			imagefilledrectangle($image_shadow, 0, 0, $newWidth, $newHeight, $color[0]);
			// Création des rectangle suivant avec la couleur et la taille qui change à chaque passage
			for ($i = 0; $i < count($color); $i++) {
				imagefilledrectangle($image_shadow, $offset, $offset, $shadowW, $shadowH, $color[$i]);
				$shadowW -= $spread;
				$shadowH -= $spread;
				$offset += $spread;
			}
			
				// Ajout de l'image sur l'ombre portée
				if (!$crop) {
					imagecopyresampled($image_shadow, $img_border, 0, 0, 0, 0, $newWidth+($imgBorder*2), $newHeight+($imgBorder*2), $newWidth+$steps, $newHeight+$steps);
				}else{
					imagecopyresampled($image_shadow, $img_border, 0, 0, 0, 0, $imgW+($imgBorder*2), $imgH+($imgBorder*2), $imgW+$steps, $imgH+$steps);
				}
		}
		
		// Enregistrement du fichier
		if (is_array($imgDs)) {
			if ( imagejpeg($image_shadow, $imgPath) )
			{
				chmod($imgPath, 0777);
				return true;
			}
		}else{
			if ( imagejpeg($img_border, $imgPath) )
			{
				chmod($imgPath, 0777);
				return true;
			}
		}
		
		return false;
	
	}else{ // Le dossier de destination n'existe pas ou n'est pas accessible en écriture
		//echo "Le dossier de destination n'existe pas ou n'est pas accessible en écriture<br>";
		return false;
	}
}

function removeSpecChar($string) {
	$com_acentos=array(
		"â","Â","à","À",
		"é","É","ê","Ê","è","È",
		"î","Î",
		"ô","Ô",
		"û","Û","ù",
		"ç",
		" ","-",".",",",";",":","/","=","+","'","\"","“","”","‘","’","°");
	$sem_acentos=array(
		"a","a","a","a",
		"e","e","e","e","e","e",
		"i","i",
		"o","o",
		"u","u","u",
		"c",
		"-","-","-","-","-","-","-","-","-","","","","","","","");	
	
	$filename = str_replace($com_acentos, $sem_acentos, strtolower(trim($string)));
	return $filename;
}

function sendEmail($destinataire, $expediteur, $expediteur_nom, $sujet, $message) {	
	// Pour envoyer un mail HTML, l'en-tête Content-type doit être défini
	$headers  = 'MIME-Version: 1.0' . "\r\n";
	$headers .= 'Content-type: text/html; charset=UTF-8' . "\r\n";
	
	// En-têtes additionnels
	//$headers .= 'To: '.$nom.' <'.$email.'>' . "\r\n";
	$headers .= "From: $expediteur_nom <$expediteur>\r\n";
	//$headers .= 'Cc: anniversaire_archive@example.com' . "\r\n";
	//$headers .= 'Bcc: anniversaire_verif@example.com' . "\r\n";
	
	mail($destinataire, $sujet, $message, $headers);
}
?>