<?php

// Vérifie si un utilisateur est connecté
function isLogged()
{
	global $config;
	
	if (isset($_SESSION[$config["db_tableprefix"].'logged']) && $_SESSION[$config["db_tableprefix"].'logged']) {
		return true;
	}
	return false;
}


// Split string to get date
function convertDate($dateString) {
	$year = substr($dateString, 0, 4);
	$month = substr($dateString, 4, 2);
	$day = substr($dateString, 6, 2);
	
	$hours = substr($dateString, 8, 2);
	$mins = substr($dateString, 10, 2);
	
	$converted[0] = $day.'/'.$month.'/'.$year;
	$converted[1] = $hours.':'.$mins;
	
	return $converted;
}

function getFilesList($path){
	$fileList = array();
	
	if ( is_dir( $path ) )
	{
		// Open the actual directory
		$handle = opendir($path);
		
		if ( is_resource( $handle ) )
		{
			// Read all file from the actual directory
			while (false != $file = readdir($handle))
			{
				if (!is_dir($path."/".$file)) // If not a folder
				{
					array_push($fileList, $file);
				}
			}
			sort($fileList);
			return $fileList;
		}
	}else
	{
		// Try to create directory
		if ( ! is_writable( $path ) )
		{
			echo "Erreur : création du dossier $path impossible.";
		}else{
			mkdir( $path );
		}
	}
}

// Changer le lien ../uploads/ des fichiers insérés dans un text en ./uploads/ pour que le chemin enregistré dans la base de donnée soit le bon chemin pour la partie publique du site.
function swapUploadPath( $string )
{
	if ( !empty( $string ) )
	{
		if ( strpos( $string, "../../uploads/" ) != false )
		{
			$new_string = str_replace('"../../uploads/', '"../uploads/', $string);
		
			return $new_string;
			
		}else if ( strpos( $string, "../uploads/" ) != false )
		{
			$new_string = str_replace('"../uploads/', '"./uploads/', $string);
		
			return $new_string;
		}/*else if ( strpos( $string, "./uploads/" ) != false )
		{
			$new_string = str_replace('"./uploads/', '"uploads/', $string);
		
			return $new_string;
		}*/else
		{
			return $string;
		}
		
	}
}


// Récupérer une option
function get_option ( $slug="" )
{
	if ( empty( $slug ) )
		return false;
	
	// -------
	
	global $config;
	
	$query = "SELECT content FROM ".$config["db_tableprefix"]."options WHERE slug='".$slug."'";
	
	// Connexion
	$mysqli = new mysqli( $config["db_host"], $config["db_login"], $config["db_pass"], $config["db_name"] );
	
	// Exécuter la requête
	if ( $result = $mysqli->query( $query ) )
	{	
		// Si il y a un résultat
		if ( $result->num_rows )
		{
			while( $obj = $result->fetch_object() )
			{
				return $obj->content;
			}	
		}
		
		// Fermer la requête
		$result->close();
	}
	
	// Fermer la connexion
	$mysqli->close();
	
	return false;
}


// Enregistrer une option dans la base de donnée
function update_option ( $slug="", $val="" )
{
	
	if ( empty( $slug ) || empty( $val ) )
		return false;
	
	// -------
	
	global $config;
	
	$val = addslashes( $val );
	
	$query = "UPDATE ".$config["db_tableprefix"]."options SET slug='".$slug."', content='".$val."' WHERE slug='".$slug."';";
	$query_insert = "INSERT INTO ".$config["db_tableprefix"]."options ( slug, content ) VALUES ( '".$slug."', '".$val."' );";
	
	//print $query."<br>";
	
	// Connexion
	$mysqli = new mysqli( $config["db_host"], $config["db_login"], $config["db_pass"], $config["db_name"] );
	$mysqli->query( "SET NAMES 'utf8'" );
	
	
	// Vérifier si le slug existe déjà
	$query_verif = "SELECT content FROM ".$config["db_tableprefix"]."options WHERE slug='".$slug."'";
	
	//print $query."<br>";
	
	// Exécuter la requête
	if ( $result = $mysqli->query( $query_verif ) )
	{	
		// Si il y a un résultat
		if ( !$result->num_rows )
		{
			$query	= $query_insert;
		}
		
		// Fermer la requête
		//$result->close();
	}
	
	//print $query."<br>";
	
	// Exécuter la requête
	if ( $result = $mysqli->query( $query ) )
	{
		if ( $result->num_rows )
		{
			return true;
		}
		
		// Fermer la requête
		//$result->close();
	}
	
	// Fermer la connexion
	$mysqli->close();
	
	return false;
}


// close opened html tags
function closetags ( $html )
{
	#put all opened tags into an array
	preg_match_all ( "#<([a-z]+)( .*)?(?!/)>#iU", $html, $result );
	$openedtags = $result[1];
	#put all closed tags into an array
	preg_match_all ( "#</([a-z]+)>#iU", $html, $result );
	$closedtags = $result[1];
	$len_opened = count ( $openedtags );
	# all tags are closed
	if( count ( $closedtags ) == $len_opened )
	{
		return $html;
	}
	$openedtags = array_reverse ( $openedtags );
	# close tags
	for( $i = 0; $i < $len_opened; $i++ )
	{
		if ( !in_array ( $openedtags[$i], $closedtags ) )
		{
			$html .= "</" . $openedtags[$i] . ">";
		}
		else
		{
			unset ( $closedtags[array_search ( $openedtags[$i], $closedtags)] );
		}
	}
	return $html;
}

?>