<?php
session_start();
date_default_timezone_set('Europe/Brussels');

// REQUIRES
require_once("config.php");
require_once("lang/".$config["lng"].".php");
require_once("common/database.php");
require_once("common/forms.php");
require_once("common/various.php");

// VARIABLES
if (!isset($_SESSION[$config["db_tableprefix"].'logged'])) {
	$_SESSION[$config["db_tableprefix"].'logged'] = false;
}
$customScripts = "";

// FUSEBOX
$mod = isset($_GET["m"]) ? $_GET["m"] : "";

if ($_SESSION[$config["db_tableprefix"].'logged']) {
	// Utilisateur connecté
	switch ($mod) {
		
		case "menu":
			$content = "modules/menu/index.php";
			$customScripts = "<script src=\"modules/menu/scripts/custom.js?".date('YmdHis')."\" type=\"text/javascript\"></script>";
			break;
		
		case "agenda":
			$content = "modules/agenda/index.php";
			$customScripts = "<script src=\"modules/agenda/scripts/custom.js?".date('YmdHis')."\" type=\"text/javascript\"></script>";
			break;
		
		case "classement":
			$content = "modules/classement/index.php";
			$customScripts = "<script src=\"modules/classement/scripts/custom.js?".date('YmdHis')."\" type=\"text/javascript\"></script>";
			break;
		
		case "galleries":
			$content = "modules/galleries/index.php";
			$customScripts = "<script src=\"modules/galleries/scripts/custom.js?".date('YmdHis')."\" type=\"text/javascript\"></script>";
			break;
			
		case "logout":
			$_SESSION[$config["db_tableprefix"]."logged"] = false;
			unset($_SESSION[$config["db_tableprefix"]."logged"]);
			include("modules/login/index.php");
			break;
			
		default:
			$content = "modules/content/index.php";
			$customScripts = "<script src=\"scripts/tinymce/tinymce.min.js\" type=\"text/javascript\"></script>
				<script src=\"modules/galleries/editor_plugin/gallery.min.js.php?".date('YmdHis')."\" type=\"text/javascript\"></script>
				<script src=\"modules/content/scripts/custom.js?".date('YmdHis')."\" type=\"text/javascript\"></script>";
			break;
	}
}else{
	include("modules/login/index.php");
	$customScripts = "<script src=\"scripts/tinymce/tinymce.min.js\" type=\"text/javascript\"></script>
		<script src=\"modules/content/scripts/custom.js\" type=\"text/javascript\"></script>";
}

?>
<!DOCTYPE html>
<html>

<?php
// HEADER
include("includes/inc_header.php");
?>

<body>

<div id="container">
	
	<?php
	if ( isLogged() )
	{
	?>	
	<header class="main">

		<h1>Administration - <?php echo $config["title"]; ?></h1>
		
		<nav class="row">
			<div class="col-md-10">
				<div class="btn-group">
					<a class="btn btn-default" href="index.php?m=content&t=news">News</a>
					<a class="btn btn-default" href="index.php?m=content&t=page">Pages</a>
					<a class="btn btn-default" href="index.php?m=menu">Menu</a>
					<a class="btn btn-default" href="index.php?m=galleries">Galleries</a>
					<?php /*<a class="btn btn-default" href="index.php?m=classement">Classement</a>
					<a class="btn btn-default" href="index.php?m=agenda">Agenda</a>*/ ?>
				</div>
			</div>
			<div class="col-md-2">
				<a class="btn btn-danger btn-default" href="index.php?m=logout">Déconnexion</a>
			</div>
		</nav>
	</header>
	
	<section class="main">
		<?php include($content); ?>
	</section>
	<?php
	}else{
		include($content);
	}
	?>
</div>

</body>
</html>