$(document).ready(function(){
	
	/* GALLERY */
	var animatingPrev = false;
	var animatePrevInterval;
	var animatingNext = false;
	var animateNextInterval;
	imgW		= $('.gallery img').width();
	
	
	if ( !isAppleDevice() ) {
		activateGalleryBtns();
	}else{
		activateGalleryTouchBtns();
	}
	
	setGalleriesPos();
	
	function activateGalleryBtns (){
		
		animatingPrev = false;
		animatePrevInterval;
		$(".gallery.active .prev").hover(function() {
			animatePrev();
			animatePrevInterval = setInterval(animatePrev, 1200);
		}, function(){
			clearInterval(animatePrevInterval);
		});
		
		animatingNext = false;
		animateNextInterval;
		$(".gallery.active .next").hover(function() {
			animateNext();
			animateNextInterval = setInterval(animateNext, 1200);
		}, function(){
			clearInterval(animateNextInterval);
		});
	}
	
	function activateGalleryTouchBtns() {
		
		$(".gallery.active .prev").click(function() {
			animatePrev();
		});
		$(".gallery.active .next").click(function() {
			animateNext();
		});
	}
	
	function animatePrev() {
		if (!animatingPrev) {
			animatingPrev = true;
			imgs		= $(".gallery.active .prev").prevAll('.imgs:first');
			
			lastImg	= $('div:last', imgs);
			lastImg.remove();
			lastImg.css('width', 0);
			imgs.prepend(lastImg);
			
			lastImg.animate({
				'width' : imgW
			}, 1200, 'easeInOutQuad', function() {
				animatingPrev = false;
			});
		}
	}
	
	function animateNext() {
		if (!animatingNext) {
			animatingNext = true;
			imgs		= $(".gallery.active .next").prevAll('.imgs:first');
			
			firstImg	= $('div:first', imgs);
			firstImg.animate({
				'width' : 0
			}, 1200, 'easeInOutQuad', function() {
				firstImg.remove();
				imgs.append(firstImg);
				firstImg.css('width', imgW);
				animatingNext = false;
			});
		}
	}
	
	function isAppleDevice(){
	    return (
	        (navigator.userAgent.toLowerCase().indexOf("ipad") > -1) ||
	        (navigator.userAgent.toLowerCase().indexOf("iphone") > -1) ||
	        (navigator.userAgent.toLowerCase().indexOf("ipod") > -1)
	    );
	}

	
	
	// Calcule la position de la galerie
	function setGalleriesPos () {

		imgW					= $('.gallery img:first').width();
		bodyHalfW				= $('body').width() / 2;
		nbrImgInBodyHalf		= Math.round((bodyHalfW / imgW) * 100) / 100;
		pourcentImgHide			= Math.round((nbrImgInBodyHalf - Math.ceil(nbrImgInBodyHalf)) * 100) / 100;
		imgsLeftPos				= (imgW * pourcentImgHide) - (imgW/2);
		
		//alert(imgW +" == "+ bodyHalfW +" == "+ nbrImgInBodyHalf +" == "+ pourcentImgHide +" == "+ imgsLeftPos);
		
		$('.gallery .imgs').css("left", imgsLeftPos);
	}
    
	
});